Bug 1264179 - Review Request: php-mediawiki-at-ease - Safe replacement to @ for suppressing warnings
Review Request: php-mediawiki-at-ease - Safe replacement to @ for suppressing...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1230630
  Show dependency treegraph
 
Reported: 2015-09-17 14:14 EDT by Michael Cronenworth
Modified: 2015-10-14 02:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 11:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2015-09-17 14:14:18 EDT
Spec URL: http://michael.cronenworth.com/RPMS/php-mediawiki-at-ease.spec
SRPM URL: http://michael.cronenworth.com/RPMS/php-mediawiki-at-ease-0-0.1.20150917git.fc22.src.rpm
Description: At-ease is a PHP library that provides a safe alternative to PHP's @ error control operator. This library has been split out of the mediawiki package and it is required by the latest php-oojs-oojs-ui update.
Fedora Account System Username: mooninite
Comment 1 Remi Collet 2015-09-18 03:34:29 EDT
PHP Guidelines are a bit unclear about file placement for such files (only fonctions)

in src/Functions.php

    namespace MediaWiki;

So have to be installed in a tree matching this 
    /usr/share/php/MediaWiki

But of course this seems messy... (functions.php seems really too generic)

I think a acceptable solution is 

    /usr/share/php/MediaWiki/at-ease/Functions.php


As "MediaWiki/at-ease" match the package and composer names.

What do you think ?
Comment 3 gil cattaneo 2015-09-30 19:50:07 EDT
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1262157 ?
Comment 4 gil cattaneo 2015-09-30 20:23:25 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later)". Detailed output of
     licensecheck in /home/gil/1264179-php-mediawiki-at-
     ease/licensecheck.txt
[?]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/php/MediaWiki
[?]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/MediaWiki
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
     static analyze results in /home/gil/1264179-php-mediawiki-at-
     ease/phpci.log


Rpmlint
-------
Checking: php-mediawiki-at-ease-0-0.2.20150917git.fc24.noarch.rpm
          php-mediawiki-at-ease-0-0.2.20150917git.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
php-mediawiki-at-ease (rpmlib, GLIBC filtered):
    php(language)



Provides
--------
php-mediawiki-at-ease:
    php-composer(mediawiki/at-ease)
    php-mediawiki-at-ease



Source checksums
----------------
http://git.wikimedia.org/zip/?r=at-ease.git&format=xz&h=71e549baab3efb7ad53f17656fe7f5ee86969353#/php-mediawiki-at-ease-0.tar.xz :
  CHECKSUM(SHA256) this package     : 0284379c4448f89581d02dfb7ca06cf2be037eee47a8468602ea82178fb1ae2a
  CHECKSUM(SHA256) upstream package : 0284379c4448f89581d02dfb7ca06cf2be037eee47a8468602ea82178fb1ae2a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1264179 --plugins PHP -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 gil cattaneo 2015-09-30 20:27:18 EDT
NON blocking issues:
[?]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/php/MediaWiki
[?]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/MediaWiki

[?]: Latest version is packaged.
available v1.1.0 relesed 2015/09/18
Comment 6 gil cattaneo 2015-09-30 20:28:21 EDT
NOTE: "Buildarch:	noarch" should be "BuildArch:	noarch"
Comment 8 gil cattaneo 2015-10-01 05:56:02 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later)", "Unknown or generated". 1
     files have unknown license. Detailed output of licensecheck in
     /home/gil/rpmbuild/SPECS/1264179-php-mediawiki-at-
     ease/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
     static analyze results in /home/gil/rpmbuild/SPECS/1264179-php-
     mediawiki-at-ease/phpci.log


Rpmlint
-------
Checking: php-mediawiki-at-ease-1.1.0-1.fc24.noarch.rpm
          php-mediawiki-at-ease-1.1.0-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
php-mediawiki-at-ease (rpmlib, GLIBC filtered):
    php(language)



Provides
--------
php-mediawiki-at-ease:
    php-composer(mediawiki/at-ease)
    php-mediawiki-at-ease



Source checksums
----------------
http://git.wikimedia.org/zip/?r=at-ease.git&format=xz&h=94c0b84888841d160419f915c2745d9d08fbf0c3#/php-mediawiki-at-ease-1.1.0.tar.xz :
  CHECKSUM(SHA256) this package     : 259393a6f7a964e456ddf0bc3cbfe0faf95be11068058d532a25feed6fbdbb27
  CHECKSUM(SHA256) upstream package : 259393a6f7a964e456ddf0bc3cbfe0faf95be11068058d532a25feed6fbdbb27


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1264179 --plugins PHP -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 gil cattaneo 2015-10-01 05:56:37 EDT
approved
Comment 10 Michael Cronenworth 2015-10-01 12:48:31 EDT
Thank you.

New Package SCM Request
=======================
Package Name: php-mediawiki-at-ease
Short Description: Safe replacement to @ for suppressing warnings
Upstream URL: http://www.mediawiki.org/wiki/at-ease
Owners: mooninite
Branches: f23 f22
InitialCC:
Comment 11 Gwyn Ciesla 2015-10-02 07:30:55 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2015-10-05 11:23:06 EDT
php-mediawiki-at-ease-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f21ad62720
Comment 13 Fedora Update System 2015-10-05 11:23:56 EDT
php-mediawiki-at-ease-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-af46e52467
Comment 14 Fedora Update System 2015-10-05 21:07:54 EDT
php-mediawiki-at-ease-1.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-mediawiki-at-ease'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-af46e52467
Comment 15 Fedora Update System 2015-10-06 00:21:51 EDT
php-mediawiki-at-ease-1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-mediawiki-at-ease'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f21ad62720
Comment 16 Fedora Update System 2015-10-09 11:32:05 EDT
php-mediawiki-at-ease-1.1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-10-14 02:55:57 EDT
php-mediawiki-at-ease-1.1.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.